[package]
name = "coster-rs"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
nalgebra = "0.33"
csv = "1"
serde = { version = "1", features = ["derive"] }
clap = { version = "4", features = ["derive"] }
anyhow = "1"
itertools = "0.14.0"
chrono = { version = "0.4.39", features = ["default", "serde"] }
rayon = "1.10.0"
tokio = { version = "1.42.0", features = ["full"] }
sqlx = { version = "0.8", features = ["runtime-tokio-rustls", "any", "mysql", "postgres", "sqlite"] }
rmp-serde = "1.1"
polars = { version = "0.45.1", features = ["lazy", "performant", "parquet", "streaming", "cse", "dtype-datetime"] }
polars-sql = "0.45.1"
serde_json = "1.0.122"
num_cpus = "1.16.0"
schemars = { version = "0.8.21", features = ["chrono"] }
log = "0.4.22"
env_logger = "0.11.6"
tiberius = { version = "0.12.3", features = ["chrono", "tokio"] }
futures-io = "0.3.31"
futures = "0.3.31"
tokio-util = { version = "0.7.13", features = ["compat"] }
async-trait = "0.1.83"
testcontainers = "0.23.1"
wasmtime = "29.0.1"
duckdb = { version = "1.2.0", features = ["bundled"] }

# More info on targets: https://doc.rust-lang.org/cargo/reference/cargo-targets.html#configuring-a-target
[lib]
crate-type = ["cdylib", "staticlib", "lib"]
